Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class MessageInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractMessageContainer
              org.apache.cxf.service.model.MessageInfo

All Implemented Interfaces:
  Extensible, NamedItem

    public class MessageInfo

extends AbstractMessageContainer

A message for an operation.

Nested Class Summary
`static class` | `MessageInfo.Type`

Field Summary

Fields inherited from class org.apache.cxf.service.model.AbstractMessageContainer
`mName`

Constructor Summary
`MessageInfo(OperationInfo op, MessageInfo.Type type, QName nm)`

Method Summary
`Map<QName,MessagePartInfo>` | `getMessagePartsMap()`
`List<MessagePartInfo>` | `getOrderedParts(List<String> order)`
`MessageInfo.Type` | `getType()`
`void` | `setName(QName qn)`
`void` | `setType(MessageInfo.Type type)`
`String` | `toString()`

Methods inherited from class org.apache.cxf.service.model.AbstractMessageContainer
`addMessagePart, addMessagePart, addMessagePart, addOutOfBandMessagePart, equals, getMessagePart, getMessagePart, getMessagePartByIndex, getMessagePartIndex, getMessagePartQName, getMessageParts, getName, getOperation, getOutOfBandParts, hashCode, removeMessagePart, size`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, containsExtensor, equals, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageInfo

    public MessageInfo(OperationInfo op,
                       MessageInfo.Type type,
                       QName nm)

Method Detail

### setName

    public void setName(QName qn)

### getMessagePartsMap

    public Map<QName,MessagePartInfo> getMessagePartsMap()

### getOrderedParts

    public List<MessagePartInfo> getOrderedParts(List<String> order)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getType

    public MessageInfo.Type getType()

### setType

    public void setType(MessageInfo.Type type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF